% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CharacterizationPlots.R
\name{CharacterizationPlots}
\alias{CharacterizationPlots}
\title{CharacterizationPlots}
\description{
Class to handle the characterization plots.
}
\section{Super class}{
\code{TreatmentPatterns::ShinyModule} -> \code{CharacterizationPlots}
}
\section{Methods}{
\subsection{Public methods}{
\itemize{
\item \href{#method-CharacterizationPlots-uiMenu}{\code{CharacterizationPlots$uiMenu()}}
\item \href{#method-CharacterizationPlots-uiBody}{\code{CharacterizationPlots$uiBody()}}
\item \href{#method-CharacterizationPlots-server}{\code{CharacterizationPlots$server()}}
\item \href{#method-CharacterizationPlots-clone}{\code{CharacterizationPlots$clone()}}
}
}
\if{html}{\out{
<details open><summary>Inherited methods</summary>
<ul>
<li><span class="pkg-link" data-pkg="TreatmentPatterns" data-topic="ShinyModule" data-id="initialize"><a href='../../TreatmentPatterns/html/ShinyModule.html#method-ShinyModule-initialize'><code>TreatmentPatterns::ShinyModule$initialize()</code></a></span></li>
<li><span class="pkg-link" data-pkg="TreatmentPatterns" data-topic="ShinyModule" data-id="validate"><a href='../../TreatmentPatterns/html/ShinyModule.html#method-ShinyModule-validate'><code>TreatmentPatterns::ShinyModule$validate()</code></a></span></li>
</ul>
</details>
}}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-CharacterizationPlots-uiMenu"></a>}}
\if{latex}{\out{\hypertarget{method-CharacterizationPlots-uiMenu}{}}}
\subsection{Method \code{uiMenu()}}{
Method to include a \link[shinydashboard]{menuItem} to link to the body.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{CharacterizationPlots$uiMenu(
  label = "Characteristics",
  tag = "characteristics"
)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{label}}{(\code{character(1)})\cr
Label to show for the \code{menuItem}.}

\item{\code{tag}}{(\code{character(1)})\cr
Tag to use internally in \code{input}.}
}
\if{html}{\out{</div>}}
}
\subsection{Returns}{
(\code{menuItem})
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-CharacterizationPlots-uiBody"></a>}}
\if{latex}{\out{\hypertarget{method-CharacterizationPlots-uiBody}{}}}
\subsection{Method \code{uiBody()}}{
Method to include a \link[shinydashboard]{tabItem} to include the body.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{CharacterizationPlots$uiBody()}\if{html}{\out{</div>}}
}

\subsection{Returns}{
(\code{tabItem})
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-CharacterizationPlots-server"></a>}}
\if{latex}{\out{\hypertarget{method-CharacterizationPlots-server}{}}}
\subsection{Method \code{server()}}{
Method to handle the back-end.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{CharacterizationPlots$server(input, output, session, inputHandler)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{input}}{(\code{input})\cr
Input from the server function.}

\item{\code{output}}{(\code{output})\cr
Output from the server function.}

\item{\code{session}}{(\code{session})\cr
Session from the server function.}

\item{\code{inputHandler}}{(\code{inputHandler})\cr
\link[TreatmentPatterns]{InputHandler} class.}
}
\if{html}{\out{</div>}}
}
\subsection{Returns}{
(\code{NULL})
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-CharacterizationPlots-clone"></a>}}
\if{latex}{\out{\hypertarget{method-CharacterizationPlots-clone}{}}}
\subsection{Method \code{clone()}}{
The objects of this class are cloneable with this method.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{CharacterizationPlots$clone(deep = FALSE)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{deep}}{Whether to make a deep clone.}
}
\if{html}{\out{</div>}}
}
}
}
